Bug 25535 - Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date
Summary: Hold API mapping maps cancellationdate to cancelation_date, but it should be ...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-18 17:09 UTC by Kyle M Hall
Modified: 2020-05-20 22:45 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25535: Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date (1.92 KB, patch)
2020-05-18 18:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25535: Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date (1.90 KB, patch)
2020-05-18 21:08 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 25535: Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date (2.02 KB, patch)
2020-05-19 07:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-05-18 17:09:53 UTC

    
Comment 1 Kyle M Hall 2020-05-18 18:15:06 UTC
Created attachment 105037 [details] [review]
Bug 25535: Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date
Comment 2 Victor Grousset/tuxayo 2020-05-18 21:05:01 UTC
Would the test plan be to run this?

prove t/db_dependent/api/v1/holds.t
Comment 3 Victor Grousset/tuxayo 2020-05-18 21:08:55 UTC
Created attachment 105047 [details] [review]
Bug 25535: Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date
Comment 4 Victor Grousset/tuxayo 2020-05-18 21:09:20 UTC
Assuming yes.
Comment 5 Martin Renvoize 2020-05-19 07:02:38 UTC
Created attachment 105057 [details] [review]
Bug 25535: Hold API mapping maps cancellationdate to cancelation_date, but it should be cancellation_date

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-05-19 07:30:40 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Katrin Fischer 2020-05-19 08:51:19 UTC
It looks like cancelation date is AE? At least my online dictionary claims so.
Comment 8 Kyle M Hall 2020-05-19 11:07:55 UTC
(In reply to Katrin Fischer from comment #7)
> It looks like cancelation date is AE? At least my online dictionary claims
> so.

I've never seen that spelling in the wild. From Wiktionary: Despite the widely used form of canceled vs. cancelled in American English, the word cancellation is still much more widely used than the variant cancelation. The usage of two ls is a remnant of British English, remaining even after American English instated spelling changes.
Comment 9 Katrin Fischer 2020-05-19 21:33:03 UTC
Really interesting, I'll be sticking with ll myself then too :)
Comment 10 Tomás Cohen Arazi 2020-05-19 21:42:28 UTC
(In reply to Katrin Fischer from comment #9)
> Really interesting, I'll be sticking with ll myself then too :)

I really didn't notice, we all voted the naming on the 27 December 2017 Dev meeting LOL :-D
Comment 11 Joy Nelson 2020-05-20 22:45:12 UTC
pushed to 19.11.x for 19.11.06